Bug 29406 - Improve display of OPAC suppression message
Summary: Improve display of OPAC suppression message
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
Depends on: 14377
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-03 15:18 UTC by Owen Leonard
Modified: 2021-12-16 13:28 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement changes the way the "Suppressed in OPAC" message is shown on the staff interface search results and the bibliographic detail page. Now the information is displayed like other bibliographic details.
Version(s) released in:
22.05.00


Attachments
Screenshot of a search results entry for a suppressed record (202.12 KB, image/png)
2021-11-03 15:18 UTC, Owen Leonard
Details
Screenshot of a detail view for a suppressed record (96.09 KB, image/png)
2021-11-03 15:19 UTC, Owen Leonard
Details
Bug 29406: Improve display of OPAC suppression message (4.94 KB, patch)
2021-11-03 15:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29406: Improve display of OPAC suppression message (5.01 KB, patch)
2021-11-05 20:35 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29406: Improve display of OPAC suppression message (5.06 KB, patch)
2021-11-09 15:47 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-11-03 15:18:38 UTC
Created attachment 127266 [details]
Screenshot of a search results entry for a suppressed record

In both staff interface search results and on the bibliographic detail page the "Suppressed in OPAC" message is shown at the top of the record. I think it makes more sense to show it with the other bibliographic details.
Comment 1 Owen Leonard 2021-11-03 15:19:19 UTC
Created attachment 127267 [details]
Screenshot of a detail view for a suppressed record
Comment 2 Owen Leonard 2021-11-03 15:37:32 UTC
Created attachment 127268 [details] [review]
Bug 29406: Improve display of OPAC suppression message

This patch changes the way the "Suppressed in OPAC" message is shown on
the staff interface search results and the bibliographic detail page.
Now the information is displayed like other bibliographic details.

To test, apply the patch and restart services.

- Enable the OpacSuppression system preference and modify at least one
  record to be suppressed in the OPAC (942$n in MARC21).
- Perform a catalog search which will return this record in the staff
  client.
- The entry for that record in the search results should include the
  message "Suppressed in OPAC" at the bottom of the list of other
  bibliographic details.
- View the details for that record. You should see a line labeled "OPAC
  view" It should say "Suppressed in OPAC."
- Test a record which is not suppressed. If you have OPACBaseURL
  populated you should see "OPAC view: Open in new window."
Comment 3 PTFS Europe Sandboxes 2021-11-05 20:35:25 UTC
Created attachment 127406 [details] [review]
Bug 29406: Improve display of OPAC suppression message

This patch changes the way the "Suppressed in OPAC" message is shown on
the staff interface search results and the bibliographic detail page.
Now the information is displayed like other bibliographic details.

To test, apply the patch and restart services.

- Enable the OpacSuppression system preference and modify at least one
  record to be suppressed in the OPAC (942$n in MARC21).
- Perform a catalog search which will return this record in the staff
  client.
- The entry for that record in the search results should include the
  message "Suppressed in OPAC" at the bottom of the list of other
  bibliographic details.
- View the details for that record. You should see a line labeled "OPAC
  view" It should say "Suppressed in OPAC."
- Test a record which is not suppressed. If you have OPACBaseURL
  populated you should see "OPAC view: Open in new window."

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 4 Barbara Johnson 2021-11-05 20:41:35 UTC
There is a bug (#26861) to indicate that a record is using OpacHiddenItems in staff client.  Once that functionality gets created it seems like the display for "Hidden in OPAC" could be handled in the same way as this bug.
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=26861
Comment 5 Barbara Johnson 2021-11-05 20:48:46 UTC
This is trivial but I just noticed that there is an unnecessary period at the end of "Open in new window." which I don't think really needs to be there.
Comment 6 Nick Clemens 2021-11-09 15:47:22 UTC
Created attachment 127491 [details] [review]
Bug 29406: Improve display of OPAC suppression message

This patch changes the way the "Suppressed in OPAC" message is shown on
the staff interface search results and the bibliographic detail page.
Now the information is displayed like other bibliographic details.

To test, apply the patch and restart services.

- Enable the OpacSuppression system preference and modify at least one
  record to be suppressed in the OPAC (942$n in MARC21).
- Perform a catalog search which will return this record in the staff
  client.
- The entry for that record in the search results should include the
  message "Suppressed in OPAC" at the bottom of the list of other
  bibliographic details.
- View the details for that record. You should see a line labeled "OPAC
  view" It should say "Suppressed in OPAC."
- Test a record which is not suppressed. If you have OPACBaseURL
  populated you should see "OPAC view: Open in new window."

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Fridolin Somers 2021-12-02 06:21:14 UTC
Pushed to master for 22.05, thanks to everybody involved!
Comment 8 David Nind 2021-12-16 13:28:56 UTC
Added Manual keyword for 22.05 bugs that I consider require documentation changes. See bug 29640 and the linked spreadsheet for additional details.